---
title: Update a content security rule
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Page Shield](https://developers.cloudflare.com/api/python/resources/page_shield)

[Policies](https://developers.cloudflare.com/api/python/resources/page_shield/subresources/policies)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update a content security rule

page\_shield.policies.update(strpolicy\_id, PolicyUpdateParams\*\*kwargs) -> [PolicyUpdateResponse](<https://developers.cloudflare.com/api/python/resources/page_shield#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)>)

PUT/zones/{zone\_id}/page\_shield/policies/{policy\_id}

Updates the description, action, expression, enabled state, and policy value for a content security rule.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Page Shield``Domain Page Shield``Zone Settings Write`

##### ParametersExpand Collapse

zone\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

policy\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20policy_id%20%3E%20(schema)>)

<details>

<summary>

action: Optional\[Literal\["allow", "log", "add\_reporting\_directives"]]

The action to take if the expression matches

</summary>

One of the following:

"allow"

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"log"

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"add\_reporting\_directives"

<a href="#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20action%20%3E%20(schema)>)

description: Optional\[str]

A description for the policy

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20description%20%3E%20(schema)>)

enabled: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/page_shield/subresources/policies/methods/update#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20enabled%20%3E%20(schema)>)]

Whether the policy is enabled

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20enabled%20%3E%20(schema)>)

expression: Optional\[str]

The expression which must match for the policy to be applied, using the Cloudflare Firewall rule expression syntax

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20expression%20%3E%20(schema)>)

value: Optional\[str]

The policy which will be applied

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20value%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class PolicyUpdateResponse: …

</summary>

id: str

Identifier

maxLength32

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

action: Literal\["allow", "log", "add\_reporting\_directives"]

The action to take if the expression matches

</summary>

One of the following:

"allow"

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)%20%3E%20(property)%20action%20%3E%20(member)%200">Link to this property</a>

"log"

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)%20%3E%20(property)%20action%20%3E%20(member)%201">Link to this property</a>

"add\_reporting\_directives"

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)%20%3E%20(property)%20action%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)%20%3E%20(property)%20action">Link to this property</a>

description: str

A description for the policy

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

enabled: bool

Whether the policy is enabled

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

expression: str

The expression which must match for the policy to be applied, using the Cloudflare Firewall rule expression syntax

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)%20%3E%20(property)%20expression">Link to this property</a>

value: str

The policy which will be applied

<a href="#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.policies%20%3E%20(model)%20policy_update_response%20%3E%20(schema)>)

### Update a content security rule

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
policy = client.page_shield.policies.update(
    policy_id="023e105f4ecef8ad9ca31a8372d0c353",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(policy.id)
```

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "action": "allow",
    "description": "Checkout page CSP policy",
    "enabled": true,
    "expression": "ends_with(http.request.uri.path, \"/checkout\")",
    "value": "script-src 'none';"
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "action": "allow",
    "description": "Checkout page CSP policy",
    "enabled": true,
    "expression": "ends_with(http.request.uri.path, \"/checkout\")",
    "value": "script-src 'none';"
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```